Bug 184842 - net/netscript: Fix build on -current
Summary: net/netscript: Fix build on -current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2013-12-26 13:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.47 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:10 UTC
- Fix build on -current
- Support PLIST_FILES

Remove file:
pkg-plist
Comment 1 Pawel Pekala freebsd_committer 2013-12-25 12:23:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-12-25 12:45:47 UTC
Author: pawel
Date: Wed Dec 25 12:45:39 2013
New Revision: 337410
URL: http://svnweb.freebsd.org/changeset/ports/337410

Log:
  - Fix build on -current
  - Convert to new options framework
  - Use shebangfix for rulesets
  - Support staging
  - Switch to PLIST_FILES
  
  PR:		ports/184842
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Deleted:
  head/net/netscript/pkg-plist
Modified:
  head/net/netscript/Makefile   (contents, props changed)

Modified: head/net/netscript/Makefile
==============================================================================
--- head/net/netscript/Makefile	Wed Dec 25 12:19:57 2013	(r337409)
+++ head/net/netscript/Makefile	Wed Dec 25 12:45:39 2013	(r337410)
@@ -3,41 +3,48 @@
 
 PORTNAME=	netscript
 PORTVERSION=	1.7.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	net
 MASTER_SITES=	SF \
 		http://fakehalo.deadpig.org/%SUBDIR%/
-
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Portable/multi-platform lightweight TCP socket scripting
 
-WANT_GNOME=	yes
-
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
-
-.if ${HAVE_GNOME:Mgtk12}!=""
-USE_GNOME+=	gtk12
-PKGNAMESUFFIX=	-gtk
-ALL_TARGET=	gbsd
-.else
-ALL_TARGET=	bsd
-.endif
+OPTIONS_DEFINE=	DOCS EXAMPLES GTK1
 
-post-patch:
-	@${REINPLACE_CMD} -e "s,gtk-config,${GTK_CONFIG},g" ${WRKSRC}/Makefile
+USES=		ncurses shebangfix
+SHEBANG_FILES=	examples/*.ruleset examples/gui/*.ruleset \
+		examples/ncurses/*.ruleset
+SHEBANG_LANG=	netscript
+netscript_OLD_CMD=	/usr/bin/netscript
+netscript_CMD=		${LOCALBASE}/bin/netscript
+
+CFLAGS+=	-DNCURSES -DARPA -DBSD_T -Wl,--export-dynamic
+LDFLAGS+=	-lcurses
+
+PORTDOCS=	*
+PORTEXAMPLES=	*
+PLIST_FILES=	bin/netscript
+
+GTK1_USE=	GNOME=gtk12
+GTK1_CFLAGS=	-DGTK
+GTK1_CPPFLAGS=	$$(gtk-config --cflags gthread)
+GTK1_LDFLAGS=	$$(gtk-config --libs gthread)
+
+do-build:
+	(cd ${WRKSRC} && ${CC} ${CFLAGS} ${CPPFLAGS} netscript.c \
+		-o netscript ${LDFLAGS})
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/netscript ${PREFIX}/bin
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
-	@${MKDIR} ${EXAMPLESDIR}
-	${CP} -R ${WRKSRC}/examples/* ${EXAMPLESDIR}
-	@${CHMOD} -R og+r ${EXAMPLESDIR}
-	@${CHMOD} og+x ${EXAMPLESDIR}/gui ${EXAMPLESDIR}/ncurses
-.endif
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} netscript \
+		${STAGEDIR}${PREFIX}/bin)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} README \
+		${STAGEDIR}${DOCSDIR})
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	(cd ${WRKSRC}/examples && ${COPYTREE_SHARE} . \
+		${STAGEDIR}${EXAMPLESDIR})
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2013-12-25 12:45:49 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2013-12-26 13:10:58 UTC
Author: mat
Date: Thu Dec 26 13:10:49 2013
New Revision: 337495
URL: http://svnweb.freebsd.org/changeset/ports/337495

Log:
  MFH: r337410
  
  - Fix build on -current
  - Convert to new options framework
  - Use shebangfix for rulesets
  - Support staging
  - Switch to PLIST_FILES
  
  PR:		ports/184842
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>
  Approved by:	portmgr (implicit)

Deleted:
  branches/2014Q1/net/netscript/pkg-plist
Modified:
  branches/2014Q1/net/netscript/Makefile   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/net/netscript/Makefile
==============================================================================
--- branches/2014Q1/net/netscript/Makefile	Thu Dec 26 13:09:58 2013	(r337494)
+++ branches/2014Q1/net/netscript/Makefile	Thu Dec 26 13:10:49 2013	(r337495)
@@ -3,41 +3,48 @@
 
 PORTNAME=	netscript
 PORTVERSION=	1.7.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	net
 MASTER_SITES=	SF \
 		http://fakehalo.deadpig.org/%SUBDIR%/
-
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Portable/multi-platform lightweight TCP socket scripting
 
-WANT_GNOME=	yes
-
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
-
-.if ${HAVE_GNOME:Mgtk12}!=""
-USE_GNOME+=	gtk12
-PKGNAMESUFFIX=	-gtk
-ALL_TARGET=	gbsd
-.else
-ALL_TARGET=	bsd
-.endif
+OPTIONS_DEFINE=	DOCS EXAMPLES GTK1
 
-post-patch:
-	@${REINPLACE_CMD} -e "s,gtk-config,${GTK_CONFIG},g" ${WRKSRC}/Makefile
+USES=		ncurses shebangfix
+SHEBANG_FILES=	examples/*.ruleset examples/gui/*.ruleset \
+		examples/ncurses/*.ruleset
+SHEBANG_LANG=	netscript
+netscript_OLD_CMD=	/usr/bin/netscript
+netscript_CMD=		${LOCALBASE}/bin/netscript
+
+CFLAGS+=	-DNCURSES -DARPA -DBSD_T -Wl,--export-dynamic
+LDFLAGS+=	-lcurses
+
+PORTDOCS=	*
+PORTEXAMPLES=	*
+PLIST_FILES=	bin/netscript
+
+GTK1_USE=	GNOME=gtk12
+GTK1_CFLAGS=	-DGTK
+GTK1_CPPFLAGS=	$$(gtk-config --cflags gthread)
+GTK1_LDFLAGS=	$$(gtk-config --libs gthread)
+
+do-build:
+	(cd ${WRKSRC} && ${CC} ${CFLAGS} ${CPPFLAGS} netscript.c \
+		-o netscript ${LDFLAGS})
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/netscript ${PREFIX}/bin
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
-	@${MKDIR} ${EXAMPLESDIR}
-	${CP} -R ${WRKSRC}/examples/* ${EXAMPLESDIR}
-	@${CHMOD} -R og+r ${EXAMPLESDIR}
-	@${CHMOD} og+x ${EXAMPLESDIR}/gui ${EXAMPLESDIR}/ncurses
-.endif
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} netscript \
+		${STAGEDIR}${PREFIX}/bin)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} README \
+		${STAGEDIR}${DOCSDIR})
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	(cd ${WRKSRC}/examples && ${COPYTREE_SHARE} . \
+		${STAGEDIR}${EXAMPLESDIR})
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"